@import url("https://fonts.googleapis.com/css?family=Caveat|Mali");

:root {
  --mainDark: #242325;
  --mainGreen: #61e786;
  --mainWhite: #fff;
  --mainGrey: #eeeeee;
}
body {
  font-family: "Mali", cursive;
  background: var(--mainWhite);
  color: var(--mainDark);
}

/* global */

.text-green {
  color: var(--mainGreen);
}
.text-slant {
  font-family: "Caveat", cursive;
}
.green__btn {
  color: var(--mainGreen);
  border: 0.1rem solid var(--mainGreen);
  background: transparent;
}
.green__btn:hover {
  background: var(--mainGreen);
  color: var(--mainWhite);
}
.title-underline {
  width: 12rem;
  height: 0.3rem;
  margin: 0 auto;
  position: relative;
  border-radius: 2rem;
}
.title-underline__center {
  position: absolute;
  height: 0.6rem;
  background: var(--mainGreen);
  width: 50%;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  border-radius: 1rem;
}
.blockquote {
  border-left: .5rem solid var(--mainGreen);
}
/* end of global */
/* navbar */

.navbar {
  background: var(--mainDark);
}

.phone-icon {
  color: var(--mainGreen);
  border: 0.1rem solid var(--mainGreen);
  padding: 0.5rem;
  border-radius: 50%;
}

/* banner */
.banner-info {
  min-height: calc(100vh - 101px);
  background: var(--mainGrey);
  position: relative;
}
.banner-info__footer {
  background: var(--mainGreen);
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
}
.banner-img {
  min-height: calc(100vh - 101px);
  background: url("../img/bannerBcg.jpeg") center/cover fixed no-repeat;
  position: relative;
}
.banner-img__footer {
  background: var(--mainDark);
  position: absolute;
  bottom: 0;
  left: 0;
  height: 104px;
  display: flex;
  align-items: center;
}
/* end of banner */
/* about img */
.img-container {
  position: relative;
}
.featured-icons {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}
.featured-icon-left,
.featured-icon-right {
  padding: 0.5rem;
  display: inline-block;
  color: var(--mainWhite);
  transition: font-size 0.1s ease;
}
.featured-icon-left:hover,
.featured-icon-right:hover {
  color: var(--mainWhite);
  font-size: 1.1rem;
}
.featured-icon-left {
  background: var(--mainDark);

}

.featured-icon-right {
  background: var(--mainGreen);
}

/* featured */
.featured {
  background: var(--mainGrey);
}
/* end of featured */
/* contact */
.contact {
    background: var(--mainGreen);
    color: var(--mainWhite);
}
.contact-btn {
    background: transparent;
    border: 0.1rem solid var(--mainWhite);
    color: var(--mainWhite);
}
.contact-btn:hover {
    background: var(--mainWhite);
    color: var(--mainGreen);
}

/* end of contact */

/* service */
.services, .tour {
  background: linear-gradient(rgba(0,0,0,0.7), rgba(0,0,0,0.7)), url("../img/bannerBcg.jpeg") center/cover no-repeat fixed;
}
.services-info-text {
  color: var(--mainWhite);
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  background: var(--mainGreen);
  margin-bottom: 0;
  text-decoration: none;
}
.services-info-text:hover {
  color: var(--mainDark);
  text-decoration: none;
}
.service-icon {
  font-size: 2rem;
  color: var(--mainGreen);
  padding: 0.5rem;
  border: 0.1rem solid var(--mainGreen);
  margin-right: 1rem;
  transition: all 1s ease-in-out;
}
.service-icon:hover {
  background: var(--mainGreen);
  color: var(--mainGrey);
}
.service-link:hover {
  color: var(--mainWhite);
}

/* end of service */
/* gallery */
.gallery-btn {
  background: transparent;
}
.gallery-btn:hover {
  background: var(--mainGreen);
  color: var(--mainWhite);
}
.gallery-img-container {
  position: relative;
  transition: all 1s linear;
  overflow: hidden;
}
.gallery-img-container:hover {
  background: rgba(0,0,0,0.9);
}
.gallery-img-container .gallery-img {
  transition: all 1s linear;
}
.gallery-img-container:hover .gallery-img{
  opacity: 0.3;
}
.gallery-info {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 100%);
  background: var(--mainGreen);
  text-decoration: none;
  transition: all 0.3s linear;
  color: var(--mainWhite);
}
.gallery-img-container:hover .gallery-info {
  transform: translate(-50%, 0);
}
.gallery-info:hover {
  text-decoration: none;
  color: var(--mainDark);
}
.gallery-icon {
  position: absolute;
  color: var(--mainWhite);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 2rem;
  opacity: 0;
  transition: all 0.3s linear;
  cursor: pointer;
}
.gallery-img-container:hover .gallery-icon {
  opacity: 1;
}

/* end of gallery */

/* virtual tour */
.tour-icon {
  color: var(--mainGreen);
  margin-bottom: 1rem;
  padding: 0.75rem;
  background: var(--mainWhite);
  border-radius: 30%;
  font-size: 2rem;
  cursor: pointer;
  transition: all 1s linear;
}
.tour-icon:hover {
  background: var(--mainGreen);
  color: var(--mainWhite);
}
/* end of virtual tour */
/* footer */
.footer {
    background: var(--mainDark);
}
/* end of footer */